## podman 5.2.5

=== debian/changelog ===
podman (5.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches
  * tests/localsystem: Unbreak systemd unit file generation
  * Bump dependency on buildah, containers/storage,
    Fixes: CVE-2024-9675, CVE-2024-9676
  * fixes to autopkgtest/localsystem:
      - skip test 'podman network reload' to workaround #1085953
      - add missing dependencies (build-essential, libsystemd-dev)
      - Backport patches from upstream to fix timezone related test failures

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 25 Oct 2024 17:06:06 -0400

podman (5.2.4+ds1-1) unstable; urgency=medium

  * New upstream release
  * Tighten build-depends on buildah, container/common
    Fixes: CVE-2024-9407, CVE-2024-9341

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 17 Oct 2024 05:46:27 -0400

podman (5.2.3+ds1-4) unstable; urgency=medium

  * Add missing test dependencies
  * disable e2e tests for now

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 15 Oct 2024 05:57:52 -0400

podman (5.2.3+ds1-3) unstable; urgency=medium

  * Make buildtime display properly in 'podman version'
  * Suggest installation of containernetworking-plugins
  * test/system: ignore some tests that are broken on debian
  * Run e2e and system tests as autopkgtest, requires qemu
  * Clean up podman-docker shell completion when podman-doker
    is absent on upgrade, Closes: #1083242

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Oct 2024 08:09:12 -0400

podman (5.2.3+ds1-2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Enable CNI networking for now, closes: #1079327
  * Reenable full salsa-ci pipeline
  * simplify builtin-test
  * builtin-tests: restrict to building the podman executable
  * fix source/lintian-override
  * Supress more "field-to-long" lintian warnings

  [ Guillem Jover ]
  * Do not hardcode gopsutil v3, closes: #1083117

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 02 Oct 2024 06:00:51 -0400

podman (5.2.3+ds1-1) unstable; urgency=medium

  * New upstream release 5.2.3

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 26 Sep 2024 18:20:26 -0400

podman (5.2.2+ds1-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 16 Sep 2024 15:31:01 -0400

podman (5.2.2+ds1-3) experimental; urgency=medium

  * Rename source package to 'podman', following upstream
  * fix autopkgtest/builtin-tests: exclude cmd/podman/machine

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 14 Sep 2024 10:21:52 -0400

libpod (5.2.2+ds1-2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Merge from experimental
  * Ship etc/profile.d in the podman-docker package, Closes: #1080424
  * Fixup for fe0ce17dd1f040be77182f8b5a5c884c49d30b5d
  * Add appropriate Breaks/Replaces for podman-docker, Closes: #1080424

  [ Faidon Liambotis ]
  * Ship completions for the fish shell (Closes: #1080291)
  * Bump Standards-Version to 4.7.0

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 10 Sep 2024 07:42:57 -0400

libpod (5.2.2+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Sep 2024 18:45:58 -0400

libpod (5.2.1+ds1-4) unstable; urgency=medium

  * Add appropriate Breaks/Replaces for podman-docker, Closes: #1080424

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 04 Sep 2024 06:20:50 -0400

libpod (5.2.1+ds1-3) unstable; urgency=medium

  * Don't set HOME unnecessarily, fixes LP: #2077610
  * Ship etc/profile.d in the podman-docker package, Closes: #1080424

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 03 Sep 2024 18:23:12 -0400

libpod (5.2.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:39:04 -0400

libpod (5.2.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Tighten dependencies on containers/{image,common,buildah}
  * supress lintian error: field-too-long Built-Using

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 20:27:27 -0400

libpod (5.2.0+ds1-6) experimental; urgency=medium

  * Merge in changes from branch 'debian/sid':
    - Pick up changes to move alias files to /usr, Closes: #1078552

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 07:48:39 -0400

libpod (5.2.0+ds1-5) experimental; urgency=medium

  * Add sanity checks to podman-hello-world
  * autopkgtest that run podman require isolation-machine
  * Tighten build-depends on buildah

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 Aug 2024 08:41:27 -0400

libpod (5.2.0+ds1-4) experimental; urgency=medium

  * Recommend 'netavark'

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Aug 2024 14:48:13 -0400

libpod (5.2.0+ds1-3) experimental; urgency=medium

  * Tighten build deps on golang-github-opencontainers-runc-dev
  * Install recommends for tests
  * Implement autopkgtest 'podman-info' into its own shell script
  * Add recommends to ca-certificates
  * Add test that runs hello-world
  * Fix autopkgtest failure in qemu

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Aug 2024 14:49:49 -0400

libpod (5.2.0+ds1-2) experimental; urgency=medium

  * Tighten dependencies on containers/{storage,image,common}

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 08:11:05 -0400

libpod (5.2.0+ds1-1) experimental; urgency=medium

  * New upstream release: 5.2.0
  * Drop unneded patches
  * Tighten deps on go-criu and checkpointctl
  * Revert upstream change to compile against docker version 26.1
  * Promote 'Suggests' on 'containers-storage' to Recommends,
    Closes: #1065732, 1062176

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 06:47:16 -0400

libpod (5.0.3+ds1-5) unstable; urgency=medium

  * Team Upload.
  * Add netavark to Depends (Fixes autopkgtest)

 -- Nilesh Patra <nilesh@iki.fi>  Sun, 28 Jul 2024 23:09:36 +0530

libpod (5.0.3+ds1-4) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable



=== debian/control ===
Source: podman
Section: admin
Priority: optional
Standards-Version: 4.7.0
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
           Reinhard Tartler <siretart@tauware.de>,
           Faidon Liambotis <paravoid@debian.org>
Build-Depends: bash-completion,
               conmon,
               debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-dbus-dev,
               golang-ginkgo-dev,
               golang-github-appc-cni-dev,
               golang-github-buger-goterm-dev,
               golang-github-checkpoint-restore-checkpointctl-dev (>> 1.2.1),
               golang-github-checkpoint-restore-go-criu-dev (>> 7),
               golang-github-container-orchestrated-devices-container-device-interface-dev,
               golang-github-containerd-cgroups-dev,
               golang-github-containers-buildah-dev (>= 1.37.5~),
               golang-github-containers-common-dev (>= 0.60.4~),
               golang-github-containers-conmon-dev,
               golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.3),
               golang-github-containers-image-dev (>= 5.32.2),
               golang-github-containers-ocicrypt-dev,
               golang-github-containers-psgo-dev,
               golang-github-containers-storage-dev (>= 1.55.1),
               golang-github-coreos-bbolt-dev,
               golang-github-coreos-go-iptables-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-coreos-stream-metadata-go-dev,
               golang-github-crc-org-crc-dev,
               golang-github-cyphar-filepath-securejoin-dev,
               golang-github-digitalocean-go-libvirt-dev,
               golang-github-digitalocean-go-qemu-dev,
               golang-github-docker-distribution-dev,
               golang-github-docker-docker-dev (>> 26.1),
               golang-github-docker-go-connections-dev,
               golang-github-docker-go-plugins-helpers-dev,
               golang-github-docker-go-units-dev,
               golang-github-docker-spdystream-dev,
               golang-github-dtylman-scp-dev,
               golang-github-fullsailor-pkcs7-dev,
               golang-github-ghodss-yaml-dev,
               golang-github-go-logr-logr-dev,
               golang-github-google-shlex-dev,
               golang-github-google-uuid-dev,
               golang-github-gorilla-schema-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-json-iterator-go-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-mdlayher-vsock-dev,
               golang-github-moby-sys-dev,
               golang-github-moby-term-dev,
               golang-github-mrunalp-fileutils-dev,
               golang-github-nxadm-tail-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev (>= 1.1.0),
               golang-github-opencontainers-runc-dev (>= 1.1.12+ds1-4),
               golang-github-opencontainers-runtime-tools-dev (>= 0.9.0+dfsg-3~),
               golang-github-opencontainers-selinux-dev (>= 1.11~),
               golang-github-openshift-imagebuilder-dev,
               golang-github-pkg-errors-dev,
               golang-github-pkg-profile-dev,
               golang-github-rootless-containers-rootlesskit-dev (>> 2),
               golang-github-seccomp-libseccomp-golang-dev,
               golang-github-shirou-gopsutil-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-stretchr-testify-dev,
               golang-github-ulikunitz-xz-dev,
               golang-github-vbatts-tar-split-dev,
               golang-github-vbauerster-mpb-dev (>= 8),
               golang-github-vishvananda-netlink-dev,
               golang-github-vividcortex-ewma-dev,
               golang-go,
               golang-go-zfs-dev,
               golang-go.opencensus-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-text-dev,
               golang-golang-x-tools,
               golang-golang-x-xerrors-dev,
               golang-gomega-dev,
               golang-google-genproto-dev,
               golang-google-grpc-dev,
               golang-gopkg-inf.v0-dev,
               golang-gopkg-square-go-jose.v2-dev,
               golang-gopkg-yaml.v3-dev,
               golang-k8s-klog-dev,
               golang-k8s-sigs-structured-merge-diff-dev,
               golang-k8s-sigs-yaml-dev,
               golang-toml-dev,
               libapparmor-dev,
               libbtrfs-dev,
               libdevmapper-dev,
               libglib2.0-dev,
               libsubid-dev
Homepage: https://github.com/containers/podman
Vcs-Browser: https://salsa.debian.org/go-team/packages/podman
Vcs-Git: https://salsa.debian.org/go-team/packages/podman.git
XS-Go-Import-Path: github.com/containers/podman

Package: podman
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: conmon,
         crun | runc,
         golang-github-containers-common,
         netavark,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: buildah (>= 1.31),
            ca-certificates,
            catatonit | tini | dumb-init,
            containers-storage,
            dbus-user-session,
            passt,
            slirp4netns,
            uidmap,
            ${misc:Recommends}
Suggests: containernetworking-plugins,
          docker-compose,
          iptables,
          ${misc:Suggests}
Description: tool to manage containers and pods
 Podman (the POD MANager) is a tool for managing containers and images, volumes
 mounted into those containers, and pods made from groups of containers.
 .
 At a high level, the scope of Podman and libpod is the following:
  * Support for multiple container image formats, including OCI and Docker
    images.
  * Full management of those images, including pulling from various sources
    (including trust and verification), creating (built via Containerfile or
    Dockerfile or committed from a container), and pushing to registries and
    other storage backends.
  * Full management of container lifecycle, including creation (both from an
    image and from an exploded root filesystem), running, checkpointing and
    restoring (via CRIU), and removal.
  * Full management of container networking, using Netavark.
  * Support for pods, groups of containers that share resources and are managed
    together.
  * Support for running containers and pods without root or other elevated
    privileges.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface, which can both run
    containers locally and on remote systems.
  * No manager daemon, for improved security and lower resource utilization at
    idle.
  * Support for a REST API providing both a Docker-compatible interface and an
    improved interface exposing advanced Podman functionality.
  * Support for running on Windows and Mac via virtual machines run by podman
    machine.
 .
 Podman is a daemon-less alternative to Docker.

Package: podman-docker
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: podman, ${misc:Depends}, ${shlibs:Depends}
Breaks: podman (<< 5.2.1+ds1-3)
Replaces: podman (<< 5.2.1+ds1-3)
Conflicts: docker-ce-cli, docker-cli, docker.io
Recommends: docker-compose
Description: tool to manage containers and pods (Docker CLI)
 Podman (the POD MANager) is a tool for managing containers and images, volumes
 mounted into those containers, and pods made from groups of containers.
 .
 At a high level, the scope of Podman and libpod is the following:
  * Support for multiple container image formats, including OCI and Docker
    images.
  * Full management of those images, including pulling from various sources
    (including trust and verification), creating (built via Containerfile or
    Dockerfile or committed from a container), and pushing to registries and
    other storage backends.
  * Full management of container lifecycle, including creation (both from an
    image and from an exploded root filesystem), running, checkpointing and
    restoring (via CRIU), and removal.
  * Full management of container networking, using Netavark.
  * Support for pods, groups of containers that share resources and are managed
    together.
  * Support for running containers and pods without root or other elevated
    privileges.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface, which can both run
    containers locally and on remote systems.
  * No manager daemon, for improved security and lower resource utilization at
    idle.
  * Support for a REST API providing both a Docker-compatible interface and an
    improved interface exposing advanced Podman functionality.
  * Support for running on Windows and Mac via virtual machines run by podman
    machine.
 .
 Podman is a daemon-less alternative to Docker.
 .
 This package installs a Docker-compatible CLI interface, capable of running
 containers locally and on remote systems.

Package: podman-remote
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool to manage containers and pods (remote CLI)
 Podman (the POD MANager) is a tool for managing containers and images, volumes
 mounted into those containers, and pods made from groups of containers.
 .
 At a high level, the scope of Podman and libpod is the following:
  * Support for multiple container image formats, including OCI and Docker
    images.
  * Full management of those images, including pulling from various sources
    (including trust and verification), creating (built via Containerfile or
    Dockerfile or committed from a container), and pushing to registries and
    other storage backends.
  * Full management of container lifecycle, including creation (both from an
    image and from an exploded root filesystem), running, checkpointing and
    restoring (via CRIU), and removal.
  * Full management of container networking, using Netavark.
  * Support for pods, groups of containers that share resources and are managed
    together.
  * Support for running containers and pods without root or other elevated
    privileges.
  * Resource isolation of containers and pods.
  * Support for a Docker-compatible CLI interface, which can both run
    containers locally and on remote systems.
  * No manager daemon, for improved security and lower resource utilization at
    idle.
  * Support for a REST API providing both a Docker-compatible interface and an
    improved interface exposing advanced Podman functionality.
  * Support for running on Windows and Mac via virtual machines run by podman
    machine.
 .
 Podman is a daemon-less alternative to Docker.
 .
 This package provides a smaller executable, a local client to interact with a
 Podman backend node through a RESTful API tunneled through an SSH connection.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# cf. https://wiki.debian.org/ToolChain/LTO and https://github.com/golang/go/issues/45275
export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

export GO111MODULE=off

export DH_GOLANG_GO_GENERATE := 1

export DH_GOLANG_INSTALL_EXTRA := cni utils/testdata test/e2e/testdata pkg/trust/testdata

export DH_GOLANG_EXCLUDES := \
	contrib/perftest \
	dependencies \
	hack/podman-registry-go \
	cmd/podman/machine \
	pkg/bindings/test \
	podman/pkg/machine/e2e \
	test/e2e \
	test/endpoint \
	test/framework \
	test/goecho \
	test/testvol \
	test/utils \
	test/version

# machine/qemu only works on amd64, arm64
# set default build target explicitly, rely on dependencies
export DH_GOLANG_BUILDPKG := \
	github.com/containers/podman/cmd/podman \
	github.com/containers/podman/cmd/rootlessport \
	github.com/containers/podman/cmd/quadlet

export DH_GOLANG_TEST_EXCLUDES := $(DH_GOLANG_EXCLUDES) \
	hack \
	lock/file \
	network/cni \
	pkg/bindings \
	pkg/machine \
	podman/cmd/podman/common

## https://podman.io/getting-started/installation#build-tags
BUILDTAGS := apparmor,seccomp,selinux,systemd,libsubid,cni
BUILDTAGS_REMOTE := remote,exclude_graphdriver_btrfs,btrfs_noversion,exclude_graphdriver_devicemapper,containers_image_openpgp

# containers_image_openpgp

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_output

execute_after_dh_auto_clean:
	# this is in addition to the golang cleanups, and cleans up docs among
	# other things. Use bash, as there is a $(<.gitignore) bashism in there.
	$(MAKE) clean SHELL=/bin/bash

execute_after_dh_auto_configure:
	# install extra source
	install -Dv -t _output/src/github.com/containers/podman/vendor/k8s.io/kubernetes/third_party/forked/golang/expansion debian/expand.go

override_dh_auto_build:
	DH_GOLANG_BUILDPKG="github.com/containers/podman/cmd/podman-testing" \
	dh_auto_build -v  --builddirectory=_output
	$(MAKE) docs docker-docs GOMD2MAN=/usr/bin/go-md2man
	DH_GOLANG_BUILDPKG="github.com/containers/podman/cmd/podman" \
	dh_auto_build -v  --builddirectory=_output -- -tags "$(BUILDTAGS_REMOTE)" \
          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH)"
	mv _output/bin/podman _output/bin/podman-remote
	dh_auto_build -v  --builddirectory=_output -- -tags "$(BUILDTAGS)" \
          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH)"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# make test binaries available where the tests expect them
	ln -sv  ../../../../bin  _output/src/github.com/containers/podman/bin
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.cache
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.config
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.local/share
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/run
	env \
	  HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CACHE_HOME=$(CURDIR)/debian/tmp-home/.cache \
	  XDG_CONFIG_HOME=$(CURDIR)/debian/tmp-home/.config \
	  XDG_DATA_HOME=$(CURDIR)/debian/tmp-home/.local/share \
	  XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
	  PATH="$(CURDIR)/_output/bin:$$PATH" \
	  DH_GOLANG_EXCLUDES="$${DH_GOLANG_TEST_EXCLUDES}" \
	dh_auto_test -v --max-parallel=2 -- -tags "$(BUILDTAGS)"
	rm -rf $(CURDIR)/debian/tmp-home
endif

override_dh_auto_install:
	dh_auto_install \
		--destdir=debian/tmp \
		--buildsystem=golang \
		--builddirectory=_output \
		-- \
		--no-source
	# generate and install systemd unit files, manpages, etc.
	make DESTDIR=debian/tmp PREFIX=/usr LIBDIR=/usr/lib \
		install.systemd install.docker-full install.man

execute_after_dh_installman:
	# installed in the podman-remote package instead
	rm -f --verbose $(CURDIR)/debian/podman/usr/share/man/man1/podman-remote.1*
	# avoid file conflicts with the podman-compose/docker-compose packages, cf. #1054460
	rm -f --verbose $(CURDIR)/debian/podman/usr/share/man/man1/podman-compose.1*
	rm -f --verbose $(CURDIR)/debian/podman-docker/usr/share/man/man1/docker-compose.1*
	# don't ship "dockersh": podmansh is a podman-specific function
	rm -f --verbose $(CURDIR)/debian/podman-docker/usr/share/man/man1/dockersh.1*

override_dh_installsystemd:
	dh_installsystemd
	dh_installsystemd --name=podman-auto-update
	dh_installsystemd --name=podman-restart

=== debian/tests/control ===
Tests: podman-info
Depends: @, @recommends@
Restrictions: allow-stderr, isolation-machine, needs-root

Tests: podman-hello-world
Architecture: amd64, arm64
Depends: @, @recommends@
Restrictions: allow-stderr, isolation-machine, needs-internet, skippable

Tests: localsystem
Architecture: amd64, arm64
Depends: aardvark-dns,
         apache2-utils,
         bats,
         build-essential,
         containernetworking-plugins,
         curl,
         file,
         ginkgo,
         git,
         golang-go,
         iproute2,
         iptables,
         jq,
         libsystemd-dev,
         ncat,
         netavark,
         passt,
         python3-yaml,
         skopeo,
         slirp4netns,
         socat,
         @,
         @recommends@
Restrictions: allow-stderr,
              flaky,
              isolation-machine,
              needs-internet,
              needs-root,
              rw-build-tree,
              skippable

# works locally for me, but appears to take too long for debci
# Tests: e2e
# Architecture: amd64, arm64
# Depends: @, @builddeps@, @recommends@, aardvark-dns, apache2-utils, netavark, iproute2, iptables, skopeo, gnupg2, jq, ncat
# Restrictions: allow-stderr, flaky, isolation-machine, needs-internet

Tests: builtin-tests
Depends: @, @builddeps@, @recommends@
Restrictions: allow-stderr, flaky, needs-root

## podman 5.3.1+ds1

=== debian/changelog ===
podman (5.3.1+ds1-7) unstable; urgency=medium

  * autopkgtest: Make sure that containers-storage is present
  * Come up with better names for the integration tests
  * Revise some integration test skips
  * Drop tolerate-lchown.patch
  * Drop the disable system_dial_stdio test

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 10 Dec 2024 13:44:53 -0500

podman (5.3.1+ds1-6) unstable; urgency=medium

  * localintegration tests: Rename helper variable to GINKGO_EXTRA_FLAGS
  * integration-tests: Ignore os.Lchown failures

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 06 Dec 2024 08:13:07 -0500

podman (5.3.1+ds1-5) unstable; urgency=medium

  * Automatically retry flaky tests
  * Pass BUILDTAGS with spaces instead of ','
  * Add rootless integration tests

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Dec 2024 09:46:34 -0500

podman (5.3.1+ds1-4) unstable; urgency=medium

  * autopkgtest/e2e: Bump total timeout 20m -> 90m
  * Rename patches

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Dec 2024 09:00:49 -0500

podman (5.3.1+ds1-3) unstable; urgency=medium

  * e2e integration tests: double the default timeout
  * builtin-tests: Set buildtags to expand test coverage

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Dec 2024 08:53:39 -0500

podman (5.3.1+ds1-2) unstable; urgency=medium

  * Remove a number of redundant build-dependencies
  * autopkgtest:
     - Restrict qemu tests to amd64
     - Enable built-in tests
     - Enable e2e tests
     - Split out and expand patches for e2e tests
  * Fix testdata installation

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Nov 2024 17:49:45 -0500

podman (5.3.1+ds1-1) unstable; urgency=medium

  * new upstream release
  * autopkgtest/builtin-tests: disable to workaround #1088235

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 25 Nov 2024 11:26:43 -0500

podman (5.3.0+ds1-3) unstable; urgency=medium

  * Update patches to disable shell completion system tests

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Nov 2024 10:05:42 -0500

podman (5.3.0+ds1-2) experimental; urgency=medium

  * Merge in lost fixes to system tests from unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 15 Nov 2024 11:51:57 -0500

podman (5.3.0+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Tighten build dependencies
  * refresh patches
  * build-depend on golang-github-kevinburke-ssh-config-dev
  * Normalize fields with wrap-and-sort
  * TestUnitDirs: Skip when CLONE_NEWUSER fails

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 14 Nov 2024 10:56:37 -0500

=== debian/control ===
--- 
+++ 
@@ -12,85 +12,53 @@
                dh-golang,
                go-md2man,
                golang-dbus-dev,
-               golang-ginkgo-dev,
                golang-github-appc-cni-dev,
                golang-github-buger-goterm-dev,
-               golang-github-checkpoint-restore-checkpointctl-dev (>> 1.2.1),
-               golang-github-checkpoint-restore-go-criu-dev (>> 7),
-               golang-github-container-orchestrated-devices-container-device-interface-dev,
-               golang-github-containerd-cgroups-dev,
-               golang-github-containers-buildah-dev (>= 1.37.5~),
-               golang-github-containers-common-dev (>= 0.60.4~),
+               golang-github-checkpoint-restore-checkpointctl-dev (>> 1.3),
+               golang-github-checkpoint-restore-go-criu-dev (>> 7.2),
+               golang-github-containers-buildah-dev (>= 1.38),
+               golang-github-containers-common-dev (>= 0.61),
                golang-github-containers-conmon-dev,
-               golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.3),
-               golang-github-containers-image-dev (>= 5.32.2),
+               golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.4),
+               golang-github-containers-image-dev (>= 5.33),
                golang-github-containers-ocicrypt-dev,
                golang-github-containers-psgo-dev,
-               golang-github-containers-storage-dev (>= 1.55.1),
+               golang-github-containers-storage-dev (>= 1.56),
                golang-github-coreos-bbolt-dev,
-               golang-github-coreos-go-iptables-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-coreos-stream-metadata-go-dev,
                golang-github-crc-org-crc-dev,
                golang-github-cyphar-filepath-securejoin-dev,
-               golang-github-digitalocean-go-libvirt-dev,
                golang-github-digitalocean-go-qemu-dev,
-               golang-github-docker-distribution-dev,
                golang-github-docker-docker-dev (>> 26.1),
                golang-github-docker-go-connections-dev,
                golang-github-docker-go-plugins-helpers-dev,
                golang-github-docker-go-units-dev,
-               golang-github-docker-spdystream-dev,
-               golang-github-dtylman-scp-dev,
                golang-github-fullsailor-pkcs7-dev,
-               golang-github-ghodss-yaml-dev,
                golang-github-go-logr-logr-dev,
                golang-github-google-shlex-dev,
                golang-github-google-uuid-dev,
                golang-github-gorilla-schema-dev,
                golang-github-hashicorp-go-multierror-dev,
                golang-github-json-iterator-go-dev,
+               golang-github-kevinburke-ssh-config-dev,
                golang-github-mattn-go-sqlite3-dev,
                golang-github-mdlayher-vsock-dev,
-               golang-github-moby-sys-dev,
                golang-github-moby-term-dev,
-               golang-github-mrunalp-fileutils-dev,
                golang-github-nxadm-tail-dev,
+               golang-github-onsi-ginkgo-v2-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev (>= 1.1.0),
                golang-github-opencontainers-runc-dev (>= 1.1.12+ds1-4),
                golang-github-opencontainers-runtime-tools-dev (>= 0.9.0+dfsg-3~),
                golang-github-opencontainers-selinux-dev (>= 1.11~),
-               golang-github-openshift-imagebuilder-dev,
-               golang-github-pkg-errors-dev,
-               golang-github-pkg-profile-dev,
                golang-github-rootless-containers-rootlesskit-dev (>> 2),
-               golang-github-seccomp-libseccomp-golang-dev,
                golang-github-shirou-gopsutil-dev,
-               golang-github-sirupsen-logrus-dev,
-               golang-github-stretchr-testify-dev,
-               golang-github-ulikunitz-xz-dev,
-               golang-github-vbatts-tar-split-dev,
                golang-github-vbauerster-mpb-dev (>= 8),
                golang-github-vishvananda-netlink-dev,
-               golang-github-vividcortex-ewma-dev,
                golang-go,
-               golang-go-zfs-dev,
-               golang-go.opencensus-dev,
-               golang-golang-x-crypto-dev,
-               golang-golang-x-net-dev,
-               golang-golang-x-sys-dev,
-               golang-golang-x-text-dev,
-               golang-golang-x-tools,
-               golang-golang-x-xerrors-dev,
-               golang-gomega-dev,
-               golang-google-genproto-dev,
-               golang-google-grpc-dev,
                golang-gopkg-inf.v0-dev,
-               golang-gopkg-square-go-jose.v2-dev,
                golang-gopkg-yaml.v3-dev,
-               golang-k8s-klog-dev,
-               golang-k8s-sigs-structured-merge-diff-dev,
                golang-k8s-sigs-yaml-dev,
                golang-toml-dev,
                libapparmor-dev,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 export DH_GOLANG_GO_GENERATE := 1
 
-export DH_GOLANG_INSTALL_EXTRA := cni utils/testdata test/e2e/testdata pkg/trust/testdata
+export DH_GOLANG_INSTALL_EXTRA := cni test/e2e/testdata pkg/trust/testdata pkg/machine/compression/testdata
 
 export DH_GOLANG_EXCLUDES := \
 	contrib/perftest \
@@ -45,10 +45,8 @@
 	podman/cmd/podman/common
 
 ## https://podman.io/getting-started/installation#build-tags
-BUILDTAGS := apparmor,seccomp,selinux,systemd,libsubid,cni
-BUILDTAGS_REMOTE := remote,exclude_graphdriver_btrfs,btrfs_noversion,exclude_graphdriver_devicemapper,containers_image_openpgp
-
-# containers_image_openpgp
+BUILDTAGS = apparmor seccomp selinux systemd libsubid cni
+BUILDTAGS_REMOTE = remote exclude_graphdriver_btrfs btrfs_noversion exclude_graphdriver_devicemapper containers_image_openpgp
 
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_output

=== debian/tests/control ===
Tests: builtin-tests
Depends: ca-certificates, passt, slirp4netns, uidmap, @, @builddeps@
Restrictions: allow-stderr, needs-root

Tests: podman-info
Architecture: amd64
Depends: @, @recommends@
Restrictions: allow-stderr, isolation-machine, needs-root

Tests: podman-hello-world
Architecture: amd64
Depends: @, @recommends@
Restrictions: allow-stderr, isolation-machine, needs-internet, skippable

Tests: system-tests
Architecture: amd64
Depends: aardvark-dns,
         apache2-utils,
         bats,
         build-essential,
         containernetworking-plugins,
         curl,
         file,
         ginkgo,
         git,
         golang-go,
         iproute2,
         iptables,
         jq,
         libsystemd-dev,
         ncat,
         netavark,
         passt,
         python3-yaml,
         skopeo,
         slirp4netns,
         socat,
         @,
         @recommends@
Restrictions: allow-stderr,
              isolation-machine,
              needs-internet,
              needs-root,
              rw-build-tree,
              skippable

# Do not add @recommends@, seem to run into https://bugs.debian.org/1088235
Tests: integration-tests-rootful
Architecture: amd64
Depends: aardvark-dns,
         apache2-utils,
         ca-certificates,
         catatonit,
         dbus-user-session,
         gnupg2,
         iproute2,
         iptables,
         jq,
         ncat,
         netavark,
         passt,
         skopeo,
         slirp4netns,
         uidmap,
         @,
         @builddeps@
Restrictions: allow-stderr, isolation-machine, needs-internet, needs-root, rw-build-tree,

Tests: integration-tests-rootless
Architecture: amd64
Depends: aardvark-dns,
         apache2-utils,
         ca-certificates,
         catatonit,
         containers-storage,
         dbus-user-session,
         gnupg2,
         iproute2,
         iptables,
         jq,
         ncat,
         netavark,
         passt,
         skopeo,
         slirp4netns,
         uidmap,
         @,
         @builddeps@
Restrictions: allow-stderr, isolation-machine, needs-internet, rw-build-tree

## podman 5.3.2+ds1

=== debian/changelog ===
podman (5.3.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: tighten dependencies
    Build against build 1.38.1 which includes a TOCTOU fix: CVE-2024-11218
  * Recommend criu and libcriu. This is required for podman snapshot features
    to work.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 27 Jan 2025 06:57:58 -0500

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
                golang-github-buger-goterm-dev,
                golang-github-checkpoint-restore-checkpointctl-dev (>> 1.3),
                golang-github-checkpoint-restore-go-criu-dev (>> 7.2),
-               golang-github-containers-buildah-dev (>= 1.38),
-               golang-github-containers-common-dev (>= 0.61),
+               golang-github-containers-buildah-dev (>= 1.38.1),
+               golang-github-containers-common-dev (>= 0.61.1),
                golang-github-containers-conmon-dev,
                golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.4),
-               golang-github-containers-image-dev (>= 5.33),
+               golang-github-containers-image-dev (>= 5.33.1),
                golang-github-containers-ocicrypt-dev,
                golang-github-containers-psgo-dev,
-               golang-github-containers-storage-dev (>= 1.56),
+               golang-github-containers-storage-dev (>= 1.56.1),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-coreos-stream-metadata-go-dev,
@@ -84,7 +84,9 @@
             ca-certificates,
             catatonit | tini | dumb-init,
             containers-storage,
+            criu,
             dbus-user-session,
+            libcriu2,
             passt,
             slirp4netns,
             uidmap,

=== debian/tests/control ===
--- 
+++ 
@@ -86,4 +86,4 @@
          uidmap,
          @,
          @builddeps@
-Restrictions: allow-stderr, isolation-machine, needs-internet, rw-build-tree
+Restrictions: allow-stderr, isolation-machine, needs-internet, rw-build-tree, needs-sudo

## podman 5.4.0+ds1

=== contrib/pkginstaller/Makefile ===
SHELL := bash

ARCH ?= aarch64
ifeq ($(ARCH), aarch64)
	GOARCH:=arm64
else
	GOARCH:=$(ARCH)
endif
GVPROXY_VERSION ?= 0.8.3
VFKIT_VERSION ?= 0.6.0
KRUNKIT_VERSION ?= 0.1.4
GVPROXY_RELEASE_URL ?= https://github.com/containers/gvisor-tap-vsock/releases/download/v$(GVPROXY_VERSION)/gvproxy-darwin
VFKIT_RELEASE_URL ?= https://github.com/crc-org/vfkit/releases/download/v$(VFKIT_VERSION)/vfkit-unsigned
KRUNKIT_RELEASE_URL ?= https://github.com/containers/krunkit/releases/download/v$(KRUNKIT_VERSION)/krunkit-podman-unsigned-$(KRUNKIT_VERSION).tgz
PACKAGE_DIR ?= out/packaging
TMP_BIN ?= tmp-bin
PACKAGE_ROOT ?= root
PKG_NAME := podman-installer-macos-$(GOARCH).pkg

default: pkginstaller

podman_version:
	make -B -C ../../ test/version/version

$(TMP_BIN)/gvproxy:
	mkdir -p $(TMP_BIN)
	cd $(TMP_BIN) && curl -sLo gvproxy $(GVPROXY_RELEASE_URL)

$(TMP_BIN)/vfkit:
	mkdir -p $(TMP_BIN)
	cd $(TMP_BIN) && curl -sLo vfkit $(VFKIT_RELEASE_URL)

$(TMP_BIN)/krunkit.tgz:
	mkdir -p $(TMP_BIN)
	cd $(TMP_BIN) && curl -sLo krunkit.tgz $(KRUNKIT_RELEASE_URL)

packagedir: podman_version package_root Distribution welcome.html
	mkdir -p $(PACKAGE_DIR)
	cp -r Resources $(PACKAGE_DIR)/
	cp welcome.html $(PACKAGE_DIR)/Resources/
	cp Distribution $(PACKAGE_DIR)/
	cp -r scripts $(PACKAGE_DIR)/
	cp -r $(PACKAGE_ROOT) $(PACKAGE_DIR)/
	cp package.sh $(PACKAGE_DIR)/
	cd $(PACKAGE_DIR) && pkgbuild --analyze --root ./root component.plist
	../../test/version/version > $(PACKAGE_DIR)/VERSION
	echo -n $(ARCH) > $(PACKAGE_DIR)/ARCH
	cp ../../LICENSE $(PACKAGE_DIR)/Resources/LICENSE.txt
	cp vfkit.entitlements $(PACKAGE_DIR)/
	cp krunkit.entitlements $(PACKAGE_DIR)/

package_root: clean-pkgroot $(TMP_BIN)/gvproxy $(TMP_BIN)/vfkit $(TMP_BIN)/krunkit.tgz
	mkdir -p $(PACKAGE_ROOT)/podman/bin
	cp $(TMP_BIN)/gvproxy $(PACKAGE_ROOT)/podman/bin/
	cp $(TMP_BIN)/vfkit $(PACKAGE_ROOT)/podman/bin/
	tar xf $(TMP_BIN)/krunkit.tgz -C $(PACKAGE_ROOT)/podman
	chmod a+x $(PACKAGE_ROOT)/podman/bin/*
	# Leaving for future considerations
	# mkdir $(PACKAGE_ROOT)/podman/config
	# cp ../../pkg/machine/ocipull/policy.json $(PACKAGE_ROOT)/podman/config/policy.json

%: %.in podman_version
	@sed -e 's/__VERSION__/'$(shell ../../test/version/version)'/g' $< >$@

pkginstaller: packagedir
	cd $(PACKAGE_DIR) && ./package.sh ..

_notarize: pkginstaller
	xcrun notarytool submit --apple-id $(NOTARIZE_USERNAME) --password $(NOTARIZE_PASSWORD) --team-id=$(NOTARIZE_TEAM) -f json --wait out/$(PKG_NAME)

notarize: _notarize
	xcrun stapler staple out/$(PKG_NAME)

.PHONY: clean clean-pkgroot
clean:
	rm -rf $(TMP_BIN) $(PACKAGE_ROOT) $(PACKAGE_DIR) out Distribution welcome.html ../../test/version/version

clean-pkgroot:
	rm -rf $(PACKAGE_ROOT) $(PACKAGE_DIR) Distribution welcome.html

=== debian/changelog ===
podman (5.4.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches, drop patches merged upstream
  * Tighten build dependencies on containers/{storage,image,common,buildah}

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Feb 2025 08:51:11 -0500

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
                golang-github-buger-goterm-dev,
                golang-github-checkpoint-restore-checkpointctl-dev (>> 1.3),
                golang-github-checkpoint-restore-go-criu-dev (>> 7.2),
-               golang-github-containers-buildah-dev (>= 1.38.1),
-               golang-github-containers-common-dev (>= 0.61.1),
+               golang-github-containers-buildah-dev (>= 1.39),
+               golang-github-containers-common-dev (>= 0.62),
                golang-github-containers-conmon-dev,
                golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.4),
-               golang-github-containers-image-dev (>= 5.33.1),
+               golang-github-containers-image-dev (>= 5.34),
                golang-github-containers-ocicrypt-dev,
                golang-github-containers-psgo-dev,
-               golang-github-containers-storage-dev (>= 1.56.1),
+               golang-github-containers-storage-dev (>= 1.56),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-coreos-stream-metadata-go-dev,

## podman 5.4.1%2Bds1

=== debian/changelog ===
podman (5.4.1+ds1-1) unstable; urgency=medium

  [Paul Holzinger]
  * debian/rules: set "Build Origin" field to track distro origin

  [Reinhard Tartler]
  * New upstream release
  * system-tests: re-enable tar tests, but ignore a basic timeout-related
    test. Needs more investigation.
  * No longer enable systemd system *and* user services, such as
    podman.{service,socket}, podman-auto-update.timer,
    podman-clean-transient.service, etc.  For rationale and background,
    please refer to debian/NEWS, Closes: #1095048, 1095221, 1098808

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 20 Mar 2025 09:36:49 -0400

=== debian/tests/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
          skopeo,
          slirp4netns,
          socat,
+         xfsprogs,
          @,
          @recommends@
 Restrictions: allow-stderr,

## podman 5.4.1+ds1

=== test/tools/Makefile ===
GO := go
GO_BUILD=$(GO) build

BUILDDIR := build

SOURCES := $(shell find . -name '*.go')

all: $(BUILDDIR)

.PHONY: vendor
vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify
	$(GO) mod edit -toolchain none

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)

.PHONY: $(BUILDDIR)
$(BUILDDIR): \
	$(BUILDDIR)/goimports \
	$(BUILDDIR)/go-md2man \
	$(BUILDDIR)/git-validation \
	$(BUILDDIR)/ginkgo \
	$(BUILDDIR)/swagger

$(BUILDDIR)/goimports: $(SOURCES)
	$(GO_BUILD) -o $@ ./vendor/golang.org/x/tools/cmd/goimports

$(BUILDDIR)/go-md2man: $(SOURCES)
	$(GO_BUILD) -o $@ ./vendor/github.com/cpuguy83/go-md2man/v2

$(BUILDDIR)/git-validation: $(SOURCES)
	$(GO_BUILD) -o $@ ./vendor/github.com/vbatts/git-validation

$(BUILDDIR)/ginkgo: $(SOURCES)
	$(GO_BUILD) -o $@ ./vendor/github.com/onsi/ginkgo/v2/ginkgo

$(BUILDDIR)/swagger: $(SOURCES)
	$(GO_BUILD) -o $@ ./vendor/github.com/go-swagger/go-swagger/cmd/swagger

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
                golang-github-buger-goterm-dev,
                golang-github-checkpoint-restore-checkpointctl-dev (>> 1.3),
                golang-github-checkpoint-restore-go-criu-dev (>> 7.2),
-               golang-github-containers-buildah-dev (>= 1.39),
-               golang-github-containers-common-dev (>= 0.62),
+               golang-github-containers-buildah-dev (>= 1.39.3),
+               golang-github-containers-common-dev (>= 0.62.2),
                golang-github-containers-conmon-dev,
                golang-github-containers-gvisor-tap-vsocks-dev (>= 0.7.4),
-               golang-github-containers-image-dev (>= 5.34),
+               golang-github-containers-image-dev (>= 5.34.2),
                golang-github-containers-ocicrypt-dev,
                golang-github-containers-psgo-dev,
-               golang-github-containers-storage-dev (>= 1.56),
+               golang-github-containers-storage-dev (>= 1.57.2),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-coreos-stream-metadata-go-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/vendor.mk
 
 # cf. https://wiki.debian.org/ToolChain/LTO and https://github.com/golang/go/issues/45275
 export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
@@ -66,10 +67,12 @@
 	$(MAKE) docs docker-docs GOMD2MAN=/usr/bin/go-md2man
 	DH_GOLANG_BUILDPKG="github.com/containers/podman/cmd/podman" \
 	dh_auto_build -v  --builddirectory=_output -- -tags "$(BUILDTAGS_REMOTE)" \
-          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH)"
+          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH) \
+                    -X github.com/containers/podman/libpod/define.buildOrigin=$(DEB_VENDOR)"
 	mv _output/bin/podman _output/bin/podman-remote
 	dh_auto_build -v  --builddirectory=_output -- -tags "$(BUILDTAGS)" \
-          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH)"
+          -ldflags "-X github.com/containers/podman/libpod/define.buildInfo=$(SOURCE_DATE_EPOCH) \
+                    -X github.com/containers/podman/libpod/define.buildOrigin=$(DEB_VENDOR)"
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -112,6 +115,8 @@
 	rm -f --verbose $(CURDIR)/debian/podman-docker/usr/share/man/man1/dockersh.1*
 
 override_dh_installsystemd:
-	dh_installsystemd
-	dh_installsystemd --name=podman-auto-update
-	dh_installsystemd --name=podman-restart
+	dh_installsystemd --no-enable --no-start
+
+override_dh_installsystemduser:
+	dh_installsystemduser --no-enable
+

## podman 5.4.2%2Bds1

=== debian/changelog ===
podman (5.4.2+ds1-2) unstable; urgency=medium

  * Team upload
  * Apply fix for CVE-2025-6032 (Closes: #1108473)

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 08 Jul 2025 07:15:12 +0000

podman (5.4.2+ds1-1) unstable; urgency=medium

  * Drop patches no longer needed
  * Fixed a bug where the `podman import` command could not import images
    compressed with algorithms other than gzip

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Apr 2025 17:48:53 -0400

podman (5.4.1+ds1-3) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Backport upstream PRs #25340 and #25350, adapting e2e tests for
    compatibility with crun >= 1.21.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 01 Apr 2025 14:23:52 -0400

podman (5.4.1+ds1-2) unstable; urgency=medium

  * disable the cni backend
  * Fix possible deadlock in podman cp, Closes: #1101414
  * Stop shipping obsolete libpod.conf

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 27 Mar 2025 10:06:13 -0400
